<template>
  <div class="row"
       :class="rowClasses">
    <div class="col-sm-4">
      <span>{{ firstColValue}}</span>
      <span v-if="isNowServing || isUser"> --> </span>
    </div>
    <div class="col-sm-2">{{ item.number }}</div>
    <div class="col-sm-6">{{ item.name }}</div>
  </div>
</template>

<script>
  export default {
    name: "QueueListItem",
    props: {
      item: {type: Object, required: true},
      isNowServing: {type: Boolean, default: false},
      isUser: {type: Boolean, default: false}
    },
    computed: {
      firstColValue() {
        if (this.isNowServing) {
          return 'Now Serving'
        } else if (this.isUser) {
          return 'Your number';
        }

        return null;
      },
      rowClasses() {
        return {
          nowserving: this.isNowServing,
          currentuser: this.isUser
        };
      }
    }
  }
</script>

<style scoped>
  .row.nowserving {
    font-size: 24px;
    font-weight: bold;
  }

  .row.currentuser {
    color: red;
  }

</style>